Debian Bug report logs - #596680
doesn't work with systemd

version graph

Package: plymouth; Maintainer for plymouth is Daniel Baumann <mail@daniel-baumann.ch>; Source for plymouth is src:plymouth.

Reported by: Jeremy Lal <kapouer@melix.org>

Date: Mon, 13 Sep 2010 11:33:05 UTC

Severity: minor

Tags: fixed-upstream, help, pending, upstream

Found in versions plymouth/0.8.3-20, plymouth/0.8.3-13

Fixed in version plymouth/0.8.5.1-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#596680; Package plymouth. (Mon, 13 Sep 2010 11:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Lal <kapouer@melix.org>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Mon, 13 Sep 2010 11:33:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeremy Lal <kapouer@melix.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: plymouth: watch_for_input assertion fails when init is systemd
Date: Mon, 13 Sep 2010 13:31:02 +0200
Package: plymouth
Version: 0.8.3-9
Severity: normal

Hi, using systemd 8-2 from experimental, with init=/bin/systemd at boot,
plymouth fails to start :

plymouthd: ply_keyboard.c: 384:
ply_keyboard_watch_for_input:
Assertion `keyboard` != ((void*)0) fails

(copied by hand).

I'm using "text" theme, which works quite well with traditional sysvinit.



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.35-trunk-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages plymouth depends on:
ii  initramfs-tools        0.98.3            tools for generating an initramfs
ii  libc6                  2.11.2-5          Embedded GNU C Library: Shared lib
ii  libcairo2              1.9.6-6           The Cairo 2D vector graphics libra
ii  libdrm-intel1          2.4.21-1~squeeze2 Userspace interface to intel-speci
ii  libdrm-nouveau1        2.4.21-1~squeeze2 Userspace interface to nouveau-spe
ii  libdrm-radeon1         2.4.21-1~squeeze2 Userspace interface to radeon-spec
ii  libdrm2                2.4.21-1~squeeze2 Userspace interface to kernel DRM 
ii  libglib2.0-0           2.24.2-1          The GLib library of C routines
ii  libpango1.0-0          1.28.1-1          Layout and rendering of internatio
ii  libpng12-0             1.2.44-1          PNG library - runtime

Versions of packages plymouth recommends:
ii  fontconfig-config             2.8.0-2.1  generic font configuration library
ii  plymouth-themes-all           0.8.3-9    Graphical Boot Animation and Logge
ii  ttf-dejavu-core               2.31-1     Vera font family derivate with add

Versions of packages plymouth suggests:
pn  gdm                           <none>     (no description available)

-- no debconf information





Changed Bug title to 'doesn't work with systemd' from 'plymouth: watch_for_input assertion fails when init is systemd' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 13 Sep 2010 11:48:02 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 13 Sep 2010 11:48:03 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 13 Sep 2010 11:48:04 GMT) Full text and rfc822 format available.

Severity set to 'minor' from 'normal' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 13 Sep 2010 11:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#596680; Package plymouth. (Tue, 14 Sep 2010 08:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <jerry@edagames.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Tue, 14 Sep 2010 08:33:13 GMT) Full text and rfc822 format available.

Message #18 received at 596680@bugs.debian.org (full text, mbox):

From: Jérémy Lal <jerry@edagames.com>
To: 596680@bugs.debian.org
Subject: maybe a systemd bug
Date: Tue, 14 Sep 2010 10:23:20 +0200
Redhat is fixing systemd bugs that involve plymouth...
So maybe this is not really a plymouth bug.

Cheers,
Jérémy.





Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#596680; Package plymouth. (Tue, 14 Sep 2010 10:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Tue, 14 Sep 2010 10:03:06 GMT) Full text and rfc822 format available.

Message #23 received at 596680@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 596680-submitter@bugs.debian.org
Cc: 596680@bugs.debian.org
Subject: Re: doesn't work with systemd
Date: Tue, 14 Sep 2010 11:59:05 +0200
reassign 596680 systemd
retitle 596680 doesn't work with plymouth
thanks

thanks, reassigning then.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug reassigned from package 'plymouth' to 'systemd'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 14 Sep 2010 10:03:10 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions plymouth/0.8.3-9. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 14 Sep 2010 10:03:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'doesn't work with plymouth' from 'doesn't work with systemd' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 14 Sep 2010 10:03:11 GMT) Full text and rfc822 format available.

Message sent on to Jeremy Lal <kapouer@melix.org>:
Bug#596680. (Tue, 14 Sep 2010 10:03:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#596680; Package systemd. (Tue, 14 Sep 2010 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 14 Sep 2010 13:51:03 GMT) Full text and rfc822 format available.

Message #37 received at 596680@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 596680@bugs.debian.org, Jeremy Lal <kapouer@melix.org>, Daniel Baumann <daniel@debian.org>
Cc: control@bugs.debian.org
Subject: Bug in plymouth
Date: Tue, 14 Sep 2010 15:49:44 +0200
[Message part 1 (text/plain, inline)]
reassign 596680 plymouth
thanks

This is definitely a bug in plymouth, so reassigning back to plymouth.

See e.g.
https://bugzilla.redhat.com/show_bug.cgi?id=614245


I looked through the Git log of plymouth and [1] might be the mentioned patch,
although I haven't verified that.


Cheers,
Michael

[1]
http://cgit.freedesktop.org/plymouth/commit/?id=9311c9d2fdf307ce300de078f179356194d1f38c

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'systemd' to 'plymouth'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 14 Sep 2010 13:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#596680; Package plymouth. (Tue, 14 Sep 2010 16:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Tue, 14 Sep 2010 16:57:02 GMT) Full text and rfc822 format available.

Message #44 received at 596680@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 596680@bugs.debian.org, Jeremy Lal <kapouer@melix.org>, Daniel Baumann <daniel@debian.org>
Subject: Re: Bug in plymouth
Date: Tue, 14 Sep 2010 18:55:54 +0200
[Message part 1 (text/plain, inline)]
On 14.09.2010 15:49, Michael Biebl wrote:
> reassign 596680 plymouth
> thanks
> 
> This is definitely a bug in plymouth, so reassigning back to plymouth.
> 
> See e.g.
> https://bugzilla.redhat.com/show_bug.cgi?id=614245
> 
> 
> I looked through the Git log of plymouth and [1] might be the mentioned patch,
> although I haven't verified that.

I've made a git bisect run, to find the first working Git revision.
The relevant commit is 8f8a2c906e2f4ec92f47cc45d24a30539be65897.

I then cherry-picked all patches which modified the cmdline parser in src/main.c
and squashed them into a single patch.

I've applied that on top of 0.8.3 and it fixes the problem.

The patch is attached for your convenience.

Cheers,
Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
[plymouth-init-cmdline.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'doesn't work with systemd' from 'doesn't work with plymouth' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 14 Sep 2010 19:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#596680; Package plymouth. (Tue, 14 Sep 2010 19:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Tue, 14 Sep 2010 19:24:02 GMT) Full text and rfc822 format available.

Message #51 received at 596680@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 596680@bugs.debian.org
Subject: Re: Bug in plymouth
Date: Tue, 14 Sep 2010 21:21:26 +0200
On 09/14/2010 06:55 PM, Michael Biebl wrote:
> The patch is attached for your convenience.

very nice, thank you ;)

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 14 Sep 2010 20:09:19 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 30 Sep 2010 22:51:22 GMT) Full text and rfc822 format available.

Notification sent to Jeremy Lal <kapouer@melix.org>:
Bug acknowledged by developer. (Thu, 30 Sep 2010 22:51:22 GMT) Full text and rfc822 format available.

Message #58 received at 596680-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 596680-close@bugs.debian.org
Subject: Bug#596680: fixed in plymouth 0.8.3-12
Date: Thu, 30 Sep 2010 22:49:03 +0000
Source: plymouth
Source-Version: 0.8.3-12

We believe that the bug you reported is fixed in the latest version of
plymouth, which is due to be installed in the Debian FTP archive:

plymouth-dev_0.8.3-12_i386.deb
  to main/p/plymouth/plymouth-dev_0.8.3-12_i386.deb
plymouth-drm_0.8.3-12_i386.deb
  to main/p/plymouth/plymouth-drm_0.8.3-12_i386.deb
plymouth-themes-all_0.8.3-12_all.deb
  to main/p/plymouth/plymouth-themes-all_0.8.3-12_all.deb
plymouth-themes-fade-in_0.8.3-12_all.deb
  to main/p/plymouth/plymouth-themes-fade-in_0.8.3-12_all.deb
plymouth-themes-glow_0.8.3-12_all.deb
  to main/p/plymouth/plymouth-themes-glow_0.8.3-12_all.deb
plymouth-themes-script_0.8.3-12_all.deb
  to main/p/plymouth/plymouth-themes-script_0.8.3-12_all.deb
plymouth-themes-solar_0.8.3-12_all.deb
  to main/p/plymouth/plymouth-themes-solar_0.8.3-12_all.deb
plymouth-themes-spinfinity_0.8.3-12_all.deb
  to main/p/plymouth/plymouth-themes-spinfinity_0.8.3-12_all.deb
plymouth-x11_0.8.3-12_i386.deb
  to main/p/plymouth/plymouth-x11_0.8.3-12_i386.deb
plymouth_0.8.3-12.diff.gz
  to main/p/plymouth/plymouth_0.8.3-12.diff.gz
plymouth_0.8.3-12.dsc
  to main/p/plymouth/plymouth_0.8.3-12.dsc
plymouth_0.8.3-12_i386.deb
  to main/p/plymouth/plymouth_0.8.3-12_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596680@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated plymouth package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Sep 2010 21:21:39 +0200
Source: plymouth
Binary: plymouth plymouth-drm plymouth-x11 plymouth-dev plymouth-themes-all plymouth-themes-fade-in plymouth-themes-glow plymouth-themes-script plymouth-themes-solar plymouth-themes-spinfinity
Architecture: source i386 all
Version: 0.8.3-12
Distribution: experimental
Urgency: low
Maintainer: Daniel Baumann <daniel@lists.debian-maintainers.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 plymouth   - Graphical Boot Animation and Logger
 plymouth-dev - Graphical Boot Animation and Logger (development)
 plymouth-drm - Graphical Boot Animation and Logger (DRM)
 plymouth-themes-all - Graphical Boot Animation and Logger (themes metapackage)
 plymouth-themes-fade-in - Graphical Boot Animation and Logger (fade-in theme)
 plymouth-themes-glow - Graphical Boot Animation and Logger (glow theme)
 plymouth-themes-script - Graphical Boot Animation and Logger (script theme)
 plymouth-themes-solar - Graphical Boot Animation and Logger (solar theme)
 plymouth-themes-spinfinity - Graphical Boot Animation and Logger (spinfinity theme)
 plymouth-x11 - Graphical Boot Animation and Logger
Closes: 596680
Changes: 
 plymouth (0.8.3-12) experimental; urgency=low
 .
   * Adding patch from upstream prepared by Michael Biebl
     <biebl@debian.org> to make plymouth work with systemd (Closes:
     #596680).
Checksums-Sha1: 
 ae404638d0767d3ec342d10abb002b91936360b7 1536 plymouth_0.8.3-12.dsc
 b07357ede5850ab9074ee996ccffd439ff78350a 22678 plymouth_0.8.3-12.diff.gz
 40ec14192cc36df4d6462107f347eef2b1f4dfa9 127586 plymouth_0.8.3-12_i386.deb
 dd95472eaf92fc1b18d0cb1c7224c5796bf1ee61 96042 plymouth-drm_0.8.3-12_i386.deb
 70337cd2cc14fcb9c04924d92a5c5d0e128d6c47 16970 plymouth-x11_0.8.3-12_i386.deb
 69489746017dcd6dc84c2753f93f41573cd39f79 388932 plymouth-dev_0.8.3-12_i386.deb
 fda6dff87cbe65c59c0e2c4a65674eab83a34ef3 5978 plymouth-themes-all_0.8.3-12_all.deb
 49a8d0cbe044d2cdfa5e07700a86382a396f4683 37136 plymouth-themes-fade-in_0.8.3-12_all.deb
 3669d3de94c66d0b521fec45fa1df63062100476 184784 plymouth-themes-glow_0.8.3-12_all.deb
 0a59f292da8d357cb78c2ae8a0a4ddb7859ceb6b 11190 plymouth-themes-script_0.8.3-12_all.deb
 c0ac006dd021426de0af2ca8615f2a47bc4dd6f8 365690 plymouth-themes-solar_0.8.3-12_all.deb
 a547d4ebfae2ef7c1d410f77bc0da84f1c58297c 21074 plymouth-themes-spinfinity_0.8.3-12_all.deb
Checksums-Sha256: 
 dce9776a5427d6448e376012d556b1900b2ad50320501d474d0af95553a37b3d 1536 plymouth_0.8.3-12.dsc
 b4f267e89e8082f01d5c749f054409baa2367e37fee2f0e7fa6062e1e1149803 22678 plymouth_0.8.3-12.diff.gz
 28d2a1477df91051045a88b31af9049d6b2f0f6fcd0c568e497c690dd3224c50 127586 plymouth_0.8.3-12_i386.deb
 b06fc2c8e1e3c5e15e1c6e4936ce1c137773c593c5e0ff5a36b0d7c247586f31 96042 plymouth-drm_0.8.3-12_i386.deb
 dfbed6a68907a0e8636d9a608c3d6d5a78c7bf7b9aff1aece25252a051357286 16970 plymouth-x11_0.8.3-12_i386.deb
 e2993d728a1ed750b9468ae8f674533b71f25069608d27a9f0c3c41189333ae7 388932 plymouth-dev_0.8.3-12_i386.deb
 98db3687430f0921ec5037fcbf760033a33e45fdccb4fd1da646549a61a20e69 5978 plymouth-themes-all_0.8.3-12_all.deb
 82f429e74e8b88c82e1b92a1208cc2bae281ef76ef87cc5faf61307fb775795d 37136 plymouth-themes-fade-in_0.8.3-12_all.deb
 5c1192a928732776086577af59bf5dd2fc3c9b21f10ed48208964a1033702efa 184784 plymouth-themes-glow_0.8.3-12_all.deb
 1c14affc61796f64cfdb65cd6188cc2bc3a9c70b3677256ab429e9ff300f53fe 11190 plymouth-themes-script_0.8.3-12_all.deb
 8bc50442d94d7e7f0fcb3f9e90d7ea2850505c68789b1e0b3c2acb215d8e07d0 365690 plymouth-themes-solar_0.8.3-12_all.deb
 027f2a26b7cc02d00be0c5a2bf8ab3909edbc3ca9ba87b184c1cf79329151174 21074 plymouth-themes-spinfinity_0.8.3-12_all.deb
Files: 
 78e3b199b6d9e556cb0dbedb86bbf76f 1536 misc optional plymouth_0.8.3-12.dsc
 a2f85a9dc13c58702615a5b62cd01194 22678 misc optional plymouth_0.8.3-12.diff.gz
 792afa3873925cde059c6ffd1416773b 127586 misc optional plymouth_0.8.3-12_i386.deb
 d60fe4f784ffdd46e8b47cee268e7a83 96042 misc optional plymouth-drm_0.8.3-12_i386.deb
 9dfe2d6647173ae0ec1fdc54520c5c76 16970 misc optional plymouth-x11_0.8.3-12_i386.deb
 3508f6b6347e21d53f6bed00db6724cd 388932 misc optional plymouth-dev_0.8.3-12_i386.deb
 a9e906fd294ed7a66c3ed2d9e06ee7fc 5978 misc optional plymouth-themes-all_0.8.3-12_all.deb
 6f0768ce64e35f26e52d408a373d854c 37136 misc optional plymouth-themes-fade-in_0.8.3-12_all.deb
 4dfd05943f474939a933569a059f49a7 184784 misc optional plymouth-themes-glow_0.8.3-12_all.deb
 9ed3070823f930d1b39575fbce5a185d 11190 misc optional plymouth-themes-script_0.8.3-12_all.deb
 59a4097b2475c446ee5cc1a4ba4b1dc8 365690 misc optional plymouth-themes-solar_0.8.3-12_all.deb
 310574b45a8ec6af6fa9670cd0b8f5a8 21074 misc optional plymouth-themes-spinfinity_0.8.3-12_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyPzGwACgkQ+C5cwEsrK57NiQCdGzdfkrtJyXpWDibEumKCkypi
P0oAnjmOCCrzgulFIY/hEkJnbgOWNO1E
=qQgC
-----END PGP SIGNATURE-----





Bug Marked as found in versions plymouth/0.8.3-13 and reopened. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Fri, 01 Oct 2010 15:03:03 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions plymouth/0.8.3-12. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 02 Oct 2010 09:36:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#596680; Package plymouth. (Tue, 08 Feb 2011 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <jerry@edagames.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Tue, 08 Feb 2011 22:06:04 GMT) Full text and rfc822 format available.

Message #67 received at 596680@bugs.debian.org (full text, mbox):

From: Jérémy Lal <jerry@edagames.com>
To: 596680@bugs.debian.org
Subject: Re: Bug #596680 doesn't work with systemd
Date: Tue, 08 Feb 2011 23:02:52 +0100
On my unstable/experimental box it works as expected.
Shouldn't this bug be closed ?

Jérémy.







Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#596680; Package plymouth. (Sun, 17 Jul 2011 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rodrigo Exterckötter Tjäder <rodrigo@tjader.com.br>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Sun, 17 Jul 2011 19:21:03 GMT) Full text and rfc822 format available.

Message #72 received at 596680@bugs.debian.org (full text, mbox):

From: Rodrigo Exterckötter Tjäder <rodrigo@tjader.com.br>
To: 596680@bugs.debian.org
Subject: Re: Bug #596680 doesn't work with systemd
Date: Sun, 17 Jul 2011 16:20:17 -0300
I'm getting that same failed assertion on plymouth 0.8.3-18+b1 and systemd 29-1.
--
Rodrigo




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#596680; Package plymouth. (Mon, 01 Aug 2011 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christopher Baines <cbaines8@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Mon, 01 Aug 2011 09:48:17 GMT) Full text and rfc822 format available.

Message #77 received at 596680@bugs.debian.org (full text, mbox):

From: Christopher Baines <cbaines8@gmail.com>
To: 596680@bugs.debian.org
Subject: Bug fixed
Date: Mon, 01 Aug 2011 10:44:17 +0100
[Message part 1 (text/plain, inline)]
With plymouth (0.8.3-19) and systemd (29-1) this is fixed on my system.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#596680; Package plymouth. (Fri, 02 Dec 2011 16:15:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Fri, 02 Dec 2011 16:15:17 GMT) Full text and rfc822 format available.

Message #82 received at 596680@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Debian Bug Tracking System <596680@bugs.debian.org>
Subject: Re: doesn't work with systemd
Date: Fri, 02 Dec 2011 15:39:04 +0000
Package: plymouth
Version: 0.8.3-20
Followup-For: Bug #596680

I'm seeing this with plymouth 0.8.3-20 and systemd 37-1.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (530, 'testing'), (520, 'unstable'), (510, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages plymouth depends on:
ii  initramfs-tools  0.99   
ii  libc6            2.13-21

plymouth recommends no packages.

plymouth suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#596680; Package plymouth. (Tue, 07 Feb 2012 10:09:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Tue, 07 Feb 2012 10:09:18 GMT) Full text and rfc822 format available.

Message #87 received at 596680@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 596680@bugs.debian.org
Subject: Re: doesn't work with systemd
Date: Tue, 7 Feb 2012 11:05:47 +0100
Hi,

I've the same issue with plymouth 0.8.3-20 and systemd 37-1.

Here a backtrace.

Cheers

Laurent Bigonville


#0  0x00007fa9aff82475 in *__GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00007fa9aff856f0 in *__GI_abort () at abort.c:92
#2  0x00007fa9aff7b621 in *__GI___assert_fail (assertion=0x7fa9b097191e "keyboard != ((void *)0)", file=<optimized out>, line=384, function=0x7fa9b0971a00 "ply_keyboard_watch_for_input") at assert.c:81
#3  0x00007fa9b096a898 in ply_keyboard_watch_for_input (keyboard=0x0) at ply-keyboard.c:384
#4  0x00000000004071bf in start_boot_splash (state=0x7fff6186b590, theme_path=<optimized out>) at main.c:1452
#5  0x00000000004089ef in show_detailed_splash (state=0x7fff6186b590) at main.c:199
#6  0x000000000040944d in toggle_between_splash_and_details (state=0x7fff6186b590) at main.c:1137
#7  0x0000000000409500 in dump_details_and_quit_splash (state=0x7fff6186b590) at main.c:788
#8  0x0000000000404f20 in ply_boot_connection_on_request (connection=0xab5d30) at ply-boot-server.c:592
#9  0x00007fa9b0b7c906 in ply_event_loop_handle_met_status_for_source (status=PLY_EVENT_LOOP_FD_STATUS_HAS_DATA, source=0xab5ad0, loop=0xab2140) at ply-event-loop.c:1054
#10 ply_event_loop_process_pending_events (loop=0xab2140) at ply-event-loop.c:1332
#11 0x00007fa9b0b7d1b0 in ply_event_loop_run (loop=0xab2140) at ply-event-loop.c:1364
#12 0x00000000004045fd in main (argc=<optimized out>, argv=<optimized out>) at main.c:1963




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#596680; Package plymouth. (Tue, 07 Feb 2012 11:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Tue, 07 Feb 2012 11:24:21 GMT) Full text and rfc822 format available.

Message #92 received at 596680@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Debian Bug Tracking System <596680@bugs.debian.org>
Subject: Re: doesn't work with systemd
Date: Tue, 07 Feb 2012 12:19:57 +0100
Package: plymouth
Followup-For: Bug #596680

Hi,

FTR the git HEAD seems to work properly

Cheers,

Laurent Bigonville




Added tag(s) fixed-upstream. Request was from Andreas Henriksson <andreas@fatal.se> to control@bugs.debian.org. (Mon, 11 Jun 2012 18:21:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 21 Jun 2012 19:39:05 GMT) Full text and rfc822 format available.

Marked as fixed in versions plymouth/0.8.5.1-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 27 Jun 2012 13:17:18 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 27 Jun 2012 13:17:19 GMT) Full text and rfc822 format available.

Notification sent to Jeremy Lal <kapouer@melix.org>:
Bug acknowledged by developer. (Wed, 27 Jun 2012 13:17:20 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Jul 2012 07:38:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:31:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.